Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18923

Description

While translating the Help from add Postgis Layer, I realized that the layer selection behavior is not according.

The help says that one needs to hold Ctrl-key to be able to select\\add more than one table, yet in the current behavior every selection is

kept when another layers are clicked.

On the other hand, in the Add Spatialite Layer Dialog the Ctrl-key is needed to select more than one layer.

This happens in both 2.2 and master

History

#1 - 2014-06-09 08:50 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to master

#2 - 2014-06-11 04:52 AM - Gabriele Monfardini

There is an option "addPostgisDC" to change selection mode of PostGIS/Oracle QTreeView, in Options > Data Sources (and there is another one for

Oracle, "addOracleDC").

If the option is not checked (the current default) the selectiom mode is as described in the bug. Otherwise the selection mode is "multiselection or

extended".

In multiselection mode, click selects, ctrl+click selects adding to previous selection, shift+click allow to select a group of adjacent elements.

In my opinion multiselection should be used as default, since is used in file manager of all operating systems, thus is familiar to the user.

Probably current way of select is the default for historical reasons, but in my experience is one of the first complaint of a casual user

#3 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

2025-04-27 1/2



End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
